org.apache.ignite.internal.util

## Class IgniteUtils.LockTracer

- java.lang.Object
- - org.apache.ignite.internal.util.IgniteUtils.LockTracer

All Implemented Interfaces:
  Lock

Enclosing class:
  IgniteUtils

    public static class IgniteUtils.LockTracer
    extends Object
    implements Lock

### Constructor Summary

Constructors
Constructor and Description
`LockTracer(Lock delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getLockUnlockCounter()`
`Map<String,AtomicLong>` `getLockUnlockCounters()`
`void` `lock()`
`void` `lockInterruptibly()`
`@NotNull Condition` `newCondition()`
`boolean` `tryLock()`
`boolean` `tryLock(long time, @NotNull TimeUnit unit)`
`void` `unlock()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LockTracer

    public LockTracer(Lock delegate)

Parameters:
  `delegate` - Delegate.

### Method Detail

#### lock

    public void lock()

Specified by:
  `lock` in interface `Lock`

#### lockInterruptibly

    public void lockInterruptibly()
                           throws InterruptedException

Specified by:
  `lockInterruptibly` in interface `Lock`
Throws:
  `InterruptedException`

#### tryLock

    public boolean tryLock()

Specified by:
  `tryLock` in interface `Lock`

#### tryLock

    public boolean tryLock(long time,
                           @NotNull
                           @NotNull TimeUnit unit)
                    throws InterruptedException

Specified by:
  `tryLock` in interface `Lock`
Throws:
  `InterruptedException`

#### unlock

    public void unlock()

Specified by:
  `unlock` in interface `Lock`

#### newCondition

    @NotNull
    public @NotNull Condition newCondition()

Specified by:
  `newCondition` in interface `Lock`

#### getLockUnlockCounters

    public Map<String,AtomicLong> getLockUnlockCounters()

#### getLockUnlockCounter

    public long getLockUnlockCounter()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020